package javafxevents1a;

import javafx.event.EventHandler;
import javafx.event.ActionEvent;
import javax.swing.JOptionPane;

/**
 * The EventHandler for the Button control.
 *
 * @author Prof. Carl B. Struck
 * @version Copyright (c) SCCC Fall 2014 - SCCC West 
 */
public class ButtonEventHandler implements EventHandler<ActionEvent>
{
    /**
     * Displays a message in a JOptionPane.showMessageDialog window.
     *
     * @param e the ActionEvent parameter for the Button click event
     */
    @Override
    public void handle(ActionEvent e)
    {
        JOptionPane.showMessageDialog(null, "You clicked the button");
    }
}
